Deleted bookmarks does not sync

RESOLVED FIXED in 0.3

Status

RESOLVED FIXED
10 years ago
8 years ago

People

(Reporter: timeros, Unassigned)

Tracking

unspecified
x86
Windows Vista
Points:
---
Bug Flags:
in-testsuite ?

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

10 years ago
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 6.0; en-US; rv:1.9.0.5) Gecko/2008120122 Firefox/3.0.5 (.NET CLR 3.5.30729)
Build Identifier: 0.2.95

I've just noticed that once a bookmark is deleted it does not get synced to other computers (this problem is with 0.3 server). As far as i see it correctly gets synced to the server, but once the other machine downloads the changes it does not delete the bookmark. 

Reproducible: Always

Steps to Reproduce:
1.Delete a bookmark from machine A
2.Sync machine A
3.Sync machine B, which has already been synced (not full sync)
Actual Results:  
Deleted bookmark does not get deleted on machine B

Expected Results:  
Bookmark should get automatically deleted on machine B

2008-12-29 10:01:36	Service.Main	DEBUG	Syncing engine bookmarks
2008-12-29 10:01:36	Engine.Bookmarks	DEBUG	Ensuring server crypto records are there
2008-12-29 10:01:36	RecordMgr	TRACE	Importing record: https://services.mozilla.com/0.3/user/peter.staev/crypto/bookmarks
2008-12-29 10:01:37	Record.CryptoMeta	DEBUG	GET request for https://services.mozilla.com/0.3/user/peter.staev/crypto/bookmarks
2008-12-29 10:01:37	Record.CryptoMeta	DEBUG	GET request successful (200)
2008-12-29 10:01:37	Net.JsonFilter	TRACE	Decoding JSON data
2008-12-29 10:01:37	Engine.Bookmarks	DEBUG	Calculating client changes
2008-12-29 10:01:37	Engine.Bookmarks	DEBUG	Downloading & applying server changes
2008-12-29 10:01:37	Collection	DEBUG	GET request for https://services.mozilla.com/0.3/user/peter.staev/bookmarks/?modified=1230399290000&full=1&sort=depthindex
2008-12-29 10:01:37	Collection	DEBUG	GET request successful (200)
2008-12-29 10:01:37	Net.JsonFilter	TRACE	Decoding JSON data
2008-12-29 10:01:37	Net.JsonFilter	TRACE	Decoding JSON data
2008-12-29 10:01:38	Engine.Bookmarks	DEBUG	Reconciling incoming item
2008-12-29 10:01:38	Engine.Bookmarks	DEBUG	Applying incoming record
2008-12-29 10:01:38	Store.BStore	DEBUG	Item undefined already removed
2008-12-29 10:01:38	Net.JsonFilter	TRACE	Decoding JSON data
2008-12-29 10:01:38	Engine.Bookmarks	DEBUG	Reconciling incoming item
2008-12-29 10:01:38	Engine.Bookmarks	DEBUG	Applying incoming record
2008-12-29 10:01:38	Store.BStore	TRACE	Updating {0e0543c2-4fe0-4662-b7ab-0ee604df32a5}190 (32)
2008-12-29 10:01:38	Net.JsonFilter	TRACE	Decoding JSON data
2008-12-29 10:01:38	Engine.Bookmarks	DEBUG	Reconciling incoming item
2008-12-29 10:01:38	Engine.Bookmarks	DEBUG	Applying incoming record
2008-12-29 10:01:38	Store.BStore	TRACE	Updating {0e0543c2-4fe0-4662-b7ab-0ee604df32a5}193 (38)
2008-12-29 10:01:38	Net.JsonFilter	TRACE	Decoding JSON data
2008-12-29 10:01:38	Engine.Bookmarks	DEBUG	Reconciling incoming item
2008-12-29 10:01:38	Engine.Bookmarks	DEBUG	Applying incoming record
2008-12-29 10:01:38	Store.BStore	TRACE	Updating {0e0543c2-4fe0-4662-b7ab-0ee604df32a5}72 (43)
2008-12-29 10:01:39	Net.JsonFilter	TRACE	Decoding JSON data
2008-12-29 10:01:39	Engine.Bookmarks	DEBUG	Reconciling incoming item
2008-12-29 10:01:39	Engine.Bookmarks	DEBUG	Applying incoming record
2008-12-29 10:01:39	Store.BStore	TRACE	Updating {03a8ca5b-dbe6-44b8-b0aa-849d745873ca}0 (51)
2008-12-29 10:01:39	Net.JsonFilter	TRACE	Decoding JSON data
2008-12-29 10:01:39	Engine.Bookmarks	DEBUG	Reconciling incoming item
2008-12-29 10:01:39	Engine.Bookmarks	DEBUG	Applying incoming record
2008-12-29 10:01:39	Store.BStore	TRACE	Updating {0e0543c2-4fe0-4662-b7ab-0ee604df32a5}203 (59)
2008-12-29 10:01:39	Net.JsonFilter	TRACE	Decoding JSON data
2008-12-29 10:01:39	Engine.Bookmarks	DEBUG	Reconciling incoming item
2008-12-29 10:01:39	Engine.Bookmarks	DEBUG	Applying incoming record
2008-12-29 10:01:39	Store.BStore	TRACE	Updating {0e0543c2-4fe0-4662-b7ab-0ee604df32a5}209 (71)
2008-12-29 10:01:39	Net.JsonFilter	TRACE	Decoding JSON data
2008-12-29 10:01:39	Engine.Bookmarks	DEBUG	Reconciling incoming item
2008-12-29 10:01:39	Engine.Bookmarks	DEBUG	Applying incoming record
2008-12-29 10:01:39	Store.BStore	DEBUG	 -> creating bookmark "abcd"
2008-12-29 10:01:40	BmkTracker	TRACE	onItemAdded: 263
2008-12-29 10:01:40	Store.BStore	TRACE	Setting GUID of new item 263 to {16b6b0d6-1115-4551-862d-8d4be6f4edc9}4
2008-12-29 10:01:40	Net.JsonFilter	TRACE	Decoding JSON data
2008-12-29 10:01:40	Engine.Bookmarks	DEBUG	Reconciling incoming item
2008-12-29 10:01:40	Engine.Bookmarks	DEBUG	Applying incoming record
2008-12-29 10:01:40	Store.BStore	TRACE	Updating {0e0543c2-4fe0-4662-b7ab-0ee604df32a5}184 (80)
2008-12-29 10:01:40	Net.JsonFilter	TRACE	Decoding JSON data
2008-12-29 10:01:40	Engine.Bookmarks	DEBUG	Reconciling incoming item
2008-12-29 10:01:40	Engine.Bookmarks	DEBUG	Applying incoming record
2008-12-29 10:01:40	Store.BStore	TRACE	Updating {0e0543c2-4fe0-4662-b7ab-0ee604df32a5}112 (116)
2008-12-29 10:01:40	Net.JsonFilter	TRACE	Decoding JSON data
2008-12-29 10:01:41	Engine.Bookmarks	DEBUG	Reconciling incoming item
2008-12-29 10:01:41	Engine.Bookmarks	DEBUG	Applying incoming record
2008-12-29 10:01:41	Store.BStore	TRACE	Updating {0e0543c2-4fe0-4662-b7ab-0ee604df32a5}75 (124)
2008-12-29 10:01:41	Net.JsonFilter	TRACE	Decoding JSON data
2008-12-29 10:01:41	Engine.Bookmarks	DEBUG	Reconciling incoming item
2008-12-29 10:01:41	Engine.Bookmarks	DEBUG	Applying incoming record
2008-12-29 10:01:41	Store.BStore	TRACE	Updating {0e0543c2-4fe0-4662-b7ab-0ee604df32a5}88 (204)
2008-12-29 10:01:41	Net.JsonFilter	TRACE	Decoding JSON data
2008-12-29 10:01:41	Engine.Bookmarks	DEBUG	Reconciling incoming item
2008-12-29 10:01:41	Engine.Bookmarks	DEBUG	Applying incoming record
2008-12-29 10:01:41	Store.BStore	TRACE	Updating {0e0543c2-4fe0-4662-b7ab-0ee604df32a5}89 (207)
2008-12-29 10:01:42	Net.JsonFilter	TRACE	Decoding JSON data
2008-12-29 10:01:42	Engine.Bookmarks	DEBUG	Reconciling incoming item
2008-12-29 10:01:42	Engine.Bookmarks	DEBUG	Applying incoming record
2008-12-29 10:01:42	Store.BStore	DEBUG	 -> creating bookmark "@>A;54O20=5"
2008-12-29 10:01:42	BmkTracker	TRACE	onItemAdded: 264
2008-12-29 10:01:42	Store.BStore	TRACE	Setting GUID of new item 264 to {16b6b0d6-1115-4551-862d-8d4be6f4edc9}2
2008-12-29 10:01:42	BmkTracker	DEBUG	Clearing changed ID list
2008-12-29 10:01:42	BmkTracker	DEBUG	Saving changed IDs to disk
2008-12-29 10:01:42	Engine.Bookmarks	DEBUG	Finishing up sync
2008-12-29 10:01:42	Service.Main	DEBUG	Sync complete

Updated

10 years ago
Blocks: 468508
Target Milestone: -- → 0.3

Comment 1

10 years ago
This is now fixed.  Please reopen if you are still having problems with 0.2.99+
Status: UNCONFIRMED → RESOLVED
Last Resolved: 10 years ago
Resolution: --- → FIXED
(Reporter)

Comment 2

10 years ago
Still having this problem in 0.2.99. And now even added bookmarks do not get synced
Status: RESOLVED → UNCONFIRMED
Resolution: FIXED → ---

Comment 3

10 years ago
Ok, they do for me.

Can you come up with a reproducible test case and attach the bookmarks.json (as exported from the bookmarks organizer) + instructions here?
(Reporter)

Comment 4

10 years ago
I've decided to delete all the data on the server (including Crypto keys) and then to start a new sync from my main computer. After successfully deleting the data, sync fails with the bellow given error:


2009-02-04 23:50:25	Service.Main	DEBUG	Event: weave:service:sync:start
2009-02-04 23:50:25	Service.Main	DEBUG	Refreshing client list
2009-02-04 23:50:25	Engine.Clients	DEBUG	Event: weave:clients:sync:start
2009-02-04 23:50:25	Engine.Clients	DEBUG	Ensuring server crypto records are there
2009-02-04 23:50:25	Engine.Clients	INFO	0 outgoing items pre-reconciliation
2009-02-04 23:50:25	Engine.Clients	DEBUG	Downloading & applying server changes
2009-02-04 23:50:26	Collection	DEBUG	GET request for https://services.mozilla.com/0.3/user/peter.staev/clients/?modified=1233006390000&full=1&sort=depthindex
2009-02-04 23:50:26	Collection	DEBUG	GET request successful (200)
2009-02-04 23:50:26	Engine.Clients	INFO	Applied 0 records, reconciled 0 records
2009-02-04 23:50:26	Engine.Clients	DEBUG	Preparing 0 outgoing records
2009-02-04 23:50:26	ClientTracker	DEBUG	Clearing changed ID list
2009-02-04 23:50:26	ClientTracker	DEBUG	Saving changed IDs to disk
2009-02-04 23:50:26	Engine.Clients	DEBUG	Finishing up sync
2009-02-04 23:50:26	Engine.Clients	DEBUG	Event: weave:clients:sync:success
2009-02-04 23:50:26	Service.Main	DEBUG	Syncing engine bookmarks
2009-02-04 23:50:26	Service.Main	DEBUG	Event: weave:service:bookmarks-engine:sync:start
2009-02-04 23:50:26	Engine.Bookmarks	DEBUG	Event: weave:bookmarks:sync:start
2009-02-04 23:50:26	Engine.Bookmarks	DEBUG	Ensuring server crypto records are there
2009-02-04 23:50:26	Engine.Bookmarks	INFO	36 outgoing items pre-reconciliation
2009-02-04 23:50:26	Engine.Bookmarks	DEBUG	Downloading & applying server changes
2009-02-04 23:50:27	Collection	DEBUG	GET request for https://services.mozilla.com/0.3/user/peter.staev/bookmarks/?modified=1230731930000&full=1&sort=depthindex
2009-02-04 23:50:27	Collection	DEBUG	GET request successful (200)
2009-02-04 23:50:27	Engine.Bookmarks	INFO	Applied 0 records, reconciled 0 records
2009-02-04 23:50:27	Engine.Bookmarks	DEBUG	Preparing 36 outgoing records
2009-02-04 23:50:27	Engine.Bookmarks	WARN	Sync failed
2009-02-04 23:50:27	Engine.Bookmarks	DEBUG	Event: weave:bookmarks:sync:error
2009-02-04 23:50:27	Engine.Bookmarks	DEBUG	Caught exception: Component returned failure code: 0x80004005 (NS_ERROR_FAILURE) [IWeaveCrypto.unwrapSymmetricKey] (JS frame :: file:///C:/Users/Peter%20Staev/AppData/Roaming/Mozilla/Firefox/Profiles/un1mttpc.default/extensions/%7B340c2bbc-ce74-4362-90b5-7c26312808ef%7D/modules/base_records/crypto.js :: CryptoMeta__getKey :: line 184)
2009-02-04 23:50:27	Service.Main	DEBUG	Event: weave:service:bookmarks-engine:sync:success
2009-02-04 23:50:27	Service.Main	INFO	Sync completed successfully
2009-02-04 23:50:27	Service.Main	DEBUG	Event: weave:service:sync:success

Comment 5

10 years ago
My guess is you deleted data from the server while one or more instances of Firefox were running.

https://labs.mozilla.com/forum/comments.php?DiscussionID=4892&page=1#Item_14
(Reporter)

Comment 6

10 years ago
That's what i thought at first, but i've specifically killed the FF process on my main computer, and the only other instance of FF is on my work laptop, but it is suspended right now and i think it cannot cause problems...
(Reporter)

Comment 7

10 years ago
OK, the problem of the NS_ERROR fixed itself and now the bookmarks got uploaded to the server (i had to multiple times delete cryptio and clients and restart FF). But now there is another problem: Nothing except the bookmarks get synced. Although i have checked in prefs Bookmarks, and Input History, none of those get uploaded to the server. Looking at the crypto file, there it lists only clients and bookmarks, and nothing else.
(Reporter)

Comment 8

10 years ago
Forgot to say that in the verbose log, there is no line about Engine.History or Engine.InputHistory

Comment 9

10 years ago
So, I'm not sure what this bug is about, comments #4, #6 and #7 don't have anything to do with bookmarks deletion.  And deletions sync for me in any case.

Please provide some STR that I can follow?
(Reporter)

Comment 10

10 years ago
Currently i cannot provide you with such case. I would upload my bookmarks, but there are some confidential URL in them. Would it be OK if i change the bookmarks.json to obfuscate those and then upload it here. 

BTW, there definitely something wrong. Now when i synced my work laptop, it did not have even the half of my bookmarks. I see many warnings in the Verbose log like the one bellow. I have bookmarks organized in sub folders. Now on my laptop i have only one of those folder synced. Others are gone, as well as most of my bookmarks, So i guess these are not even uploaded to the server. Also i have bookmarks with titles in Cyrillic, what may be causing some problems too.  

2009-02-05 10:40:01	Store.BStore	WARN	Creating node with unknown parent -> reparenting to root
2009-02-05 10:40:01	Store.BStore	DEBUG	 -> creating bookmark "Speedtest.net - The Global Broadband Speed Test"
(Reporter)

Comment 11

10 years ago
After the initial sync any add/delete on my main computer, and then sycning causes the bellow given error:

2009-02-05 23:18:45	Engine.Bookmarks	DEBUG	Caught exception: Component returned failure code: 0x80004005 (NS_ERROR_FAILURE) [IWeaveCrypto.unwrapSymmetricKey] (JS frame :: file:///C:/Users/Peter%20Staev/AppData/Roaming/Mozilla/Firefox/Profiles/un1mttpc.default/extensions/%7B340c2bbc-ce74-4362-90b5-7c26312808ef%7D/modules/base_records/crypto.js :: CryptoMeta__getKey :: line 184)
(Reporter)

Comment 12

10 years ago
OK, there seemed to be some bug in my profile. After flushing all data again and syncing, everything around bookmarks works (even deletion ;) ) Sorry for the confusion!
Status: UNCONFIRMED → RESOLVED
Last Resolved: 10 years ago10 years ago
Resolution: --- → FIXED

Updated

10 years ago
Component: Weave → General
Product: Mozilla Labs → Weave
QA Contact: weave → general

Comment 13

8 years ago
Investigating this bug for being potential crossweave automation test case
candidate.
Flags: in-testsuite?
You need to log in before you can comment on or make changes to this bug.